All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Zero
Initialization

## Zero

Set signals to zero.
NppStatus | nppsZero_8u_Ctx (Npp8u *pDst, int nLength, NppStreamContext nppStreamCtx)
| 8-bit unsigned char, vector zero method. More...
NppStatus | nppsZero_8u (Npp8u *pDst, int nLength)
NppStatus | nppsZero_16s_Ctx (Npp16s *pDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit integer, vector zero method. More...
NppStatus | nppsZero_16s (Npp16s *pDst, int nLength)
NppStatus | nppsZero_16sc_Ctx (Npp16sc *pDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit integer complex, vector zero method. More...
NppStatus | nppsZero_16sc (Npp16sc *pDst, int nLength)
NppStatus | nppsZero_32s_Ctx (Npp32s *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit integer, vector zero method. More...
NppStatus | nppsZero_32s (Npp32s *pDst, int nLength)
NppStatus | nppsZero_32sc_Ctx (Npp32sc *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit integer complex, vector zero method. More...
NppStatus | nppsZero_32sc (Npp32sc *pDst, int nLength)
NppStatus | nppsZero_32f_Ctx (Npp32f *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit float, vector zero method. More...
NppStatus | nppsZero_32f (Npp32f *pDst, int nLength)
NppStatus | nppsZero_32fc_Ctx (Npp32fc *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit float complex, vector zero method. More...
NppStatus | nppsZero_32fc (Npp32fc *pDst, int nLength)
NppStatus | nppsZero_64s_Ctx (Npp64s *pDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit long long integer, vector zero method. More...
NppStatus | nppsZero_64s (Npp64s *pDst, int nLength)
NppStatus | nppsZero_64sc_Ctx (Npp64sc *pDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit long long integer complex, vector zero method. More...
NppStatus | nppsZero_64sc (Npp64sc *pDst, int nLength)
NppStatus | nppsZero_64f_Ctx (Npp64f *pDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit double, vector zero method. More...
NppStatus | nppsZero_64f (Npp64f *pDst, int nLength)
NppStatus | nppsZero_64fc_Ctx (Npp64fc *pDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit double complex, vector zero method. More...
NppStatus | nppsZero_64fc (Npp64fc *pDst, int nLength)

## Detailed Description

## Function Documentation

NppStatus nppsZero_16s | ( | Npp16s * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsZero_16s_Ctx | ( | Npp16s * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit integer, vector zero method.

Parameters

  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsZero_16sc | ( | Npp16sc * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsZero_16sc_Ctx | ( | Npp16sc * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit integer complex, vector zero method.

Parameters

  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsZero_32f | ( | Npp32f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsZero_32f_Ctx | ( | Npp32f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float, vector zero method.

Parameters

  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsZero_32fc | ( | Npp32fc * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsZero_32fc_Ctx | ( | Npp32fc * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float complex, vector zero method.

Parameters

  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsZero_32s | ( | Npp32s * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsZero_32s_Ctx | ( | Npp32s * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit integer, vector zero method.

Parameters

  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsZero_32sc | ( | Npp32sc * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsZero_32sc_Ctx | ( | Npp32sc * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit integer complex, vector zero method.

Parameters

  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsZero_64f | ( | Npp64f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsZero_64f_Ctx | ( | Npp64f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit double, vector zero method.

Parameters

  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsZero_64fc | ( | Npp64fc * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsZero_64fc_Ctx | ( | Npp64fc * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit double complex, vector zero method.

Parameters

  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsZero_64s | ( | Npp64s * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsZero_64s_Ctx | ( | Npp64s * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit long long integer, vector zero method.

Parameters

  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsZero_64sc | ( | Npp64sc * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsZero_64sc_Ctx | ( | Npp64sc * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit long long integer complex, vector zero method.

Parameters

  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsZero_8u | ( | Npp8u * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsZero_8u_Ctx | ( | Npp8u * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned char, vector zero method.

Parameters

  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2019 NVIDIA Corporation